import time

def padInt(iVal, iLen=2):
	sOut = str(iVal)
	if len(sOut) < iLen:
		for I in range(iLen - len(sOut)):
			sOut = "0" + sOut
	return sOut
#end of padInt

class aProject:
	ID = 0
	sName = ""
	iRanking = 3
	sDate = ""
	sTime = ""
	sDescription = ""
	lSubProjects = []
	
	def __init__(self, ID, sName, iRanking, sDescription):
		tNow = time.localtime()
		self.sDate = str(tNow.tm_year) + "/" + padInt(tNow.tm_mon) + "/" + padInt(tNow.tm_mday)
		self.sTime = padInt(tNow.tm_hour) + ":" + padInt(tNow.tm_min)
		self.ID = ID
		self.sName = sName
		self.sDescription = sDescription
		self.iRanking = iRanking
	#end of __init__
	
#end of aProject

class aSubProject:
	ID = 0
	pID = 0
	sName = ""
	sDate = ""
	sTime = ""
	sDescription = ""
	
	def __init__(self, ProjectID, ID, sName, sDescription=""):
		tNow = time.localtime()
		self.sDate = str(tNow.tm_year) + "/" + padInt(tNow.tm_mon) + "/" + padInt(tNow.tm_mday)
		self.sTime = padInt(tNow.tm_hour) + ":" + padInt(tNow.tm_min)
		self.ID = ID
		self.pID = ProjectID
		self.sName = sName
		self.sDescription = sDescription
	#end of __init__

#end of aSubProject
